Subject: bug#77983: closed (Re: [bug#77983] [PATCH] Update r-cards to version 0.6.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 27 Apr 2025 12:44:02 +0000

Your bug report

#77983: [PATCH] Update r-cards to version 0.6.0.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77983: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77983
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#77983] [PATCH] Update r-cards to version 0.6.0.
From: Christopher Baines <[email-masked]>
To: Tor-björn Claesson <[email-masked]>
Cc: [email-masked]
Date: Sun, 27 Apr 2025 13:43:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Tor-björn Claesson <[email-masked]> writes:

> Hi!
>
> The version of r-cards in guix does not build (failing tests.)
>
> Updating to version 0.6.0 makes it work again.
>
> I have not built all dependent packages (some fail for unrelated
> reasons) but have used this updated r-cards package to build gtsummary
> and run the analyses for my dissertation project successfully.

Thanks for the patch, QA has built things now so it looks like all the
dependent packages build.

I've pushed this to master as 03d8f9c7870e9aff089ec885cd4d88863522b927.

Chris

Subject: [PATCH] Update r-cards to version 0.6.0.
From: Tor-björn Claesson <[email-masked]>
To: [email-masked]
Date: Tue, 22 Apr 2025 11:55:41 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

The version of r-cards in guix does not build (failing tests.)

Updating to version 0.6.0 makes it work again. 

I have not built all dependent packages (some fail for unrelated
reasons) but have used this updated r-cards package to build gtsummary
and run the analyses for my dissertation project successfully.

Thanks,
Tor-björn Claesson

>From 9825d18ac5f258d65e14f88c72777b1af1a48398 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Tor-bj=C3=B6rn=20Claesson?= <[email-masked]>
Date: Tue, 22 Apr 2025 10:59:36 +0300
Subject: [PATCH] gnu: r-cards: Update to 0.6.0.

* gnu/packages/cran.scm (r-cards): Update to 0.6.0

Change-Id: I96f38cd093b1c32789040a0f0fe5ee8df3fe5596
---
 gnu/packages/cran.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index e91b6398f7..194133777e 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -1136,13 +1136,13 @@ (define-public r-cardata
 (define-public r-cards
   (package
     (name "r-cards")
-    (version "0.4.0")
+    (version "0.6.0")
     (source
      (origin
        (method url-fetch)
        (uri (cran-uri "cards" version))
        (sha256
-        (base32 "1bspjyxwj1dcjdrgrbh7qkskviwf78ifzhn8kihjpqypsyy1plad"))))
+        (base32 "1g41i4nqkgzb1sv2f9hy06h0m2hmlcpqgc2ssjm2l7dcbgy5534f"))))
     (properties
      `((upstream-name . "cards")
        ;; Do not create dependency cycle.
-- 
2.49.0